Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class CorrelationSetEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.CorrelationSetEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CorrelationSetWriteEvent

    public abstract class CorrelationSetEvent

extends ScopeEvent

Correlation set event.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary
`java.lang.String` | `_correlationSetName`

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`CorrelationSetEvent()`
`CorrelationSetEvent(java.lang.String csetName)`

Method Summary
`java.lang.String` | `getCorrelationSetName()`
`BpelEvent.TYPE` | `getType()`
`void` | `setCorrelationSetName(java.lang.String correlationSetName)`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _correlationSetName

    public java.lang.String _correlationSetName

Constructor Detail

### CorrelationSetEvent

    public CorrelationSetEvent()

### CorrelationSetEvent

    public CorrelationSetEvent(java.lang.String csetName)

Method Detail

### getCorrelationSetName

    public java.lang.String getCorrelationSetName()

### setCorrelationSetName

    public void setCorrelationSetName(java.lang.String correlationSetName)

### getType

    public BpelEvent.TYPE getType()

  Overrides:
    `getType` in class `ScopeEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD